Elog - Bug #16128

Logging in from Phone from Home
04/06/2017 09:49 PM - Beau Harrison

Status: Closed Start date: 04/06/2017
Priority: High Due date:

Assignee: Kyle Hazelwood % Done: 0%
Category: Server Estimated time: 0.00 hour
Target version: Version 2.0 Spent time: 0.00 hour
Description

| know this is a known issue but | wanted to log my error in case is helpful.

Details

Timestamp: 2017-04-06 21:45:11.091

URI: /Elog/j_security_check

Query: null

HTTP Status code: 500

User agent: Mozilla/5.0 (Linux; Android 7.1.2; Pixel Build/NPG471) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.132
Mobile Safari/537.36

Message:

Exception:
java.lang.RuntimeException: com.sybase.jdbc3.jdbc.SybSQLException: Attempt to insert duplicate key row in object 'user_to_roles'
with unique index 'user_to_ro_11423078751'

at gov.fnal.controls.tools.tomcat.realms.JNDIRealm.authenticate (JINDIRealm. java:70)
at org.apache.catalina.realm.JNDIRealm.authenticate (JNDIRealm. java:1073)
at gov.fnal.controls.tools.tomcat.realms.JNDIRealmNoTMO.authenticate (JINDIRealmNoTMO. java:20)
at org.apache.catalina.realm.CombinedRealm.authenticate (CombinedRealm. java:146)
at org.apache.catalina.authenticator.FormAuthenticator.authenticate (FormAuthenticator. java:294

at org.apache.catalina.authenticator.AuthenticatorBase.invoke (AuthenticatorBase. java:452)

at org.apache.catalina.valves.AccessLogValve.invoke (AccessLogValve. java:950)

at org.apache.catalina.core.StandardHostValve.invoke (StandardHostValve. java:170)

at org.apache.catalina.valves.ErrorReportValve.invoke (ErrorReportValve. java:103)

at org.apache.catalina.valves.AccessLogValve.invoke (AccessLogValve. java:950)

at org.apache.catalina.authenticator.SingleSignOn.invoke (SingleSignOn. java:312)

at org.apache.catalina.core.StandardEngineValve.invoke (StandardEngineValve. java:116)

at org.apache.catalina.valves.RemoteIpValve.invoke (RemoteIpValve.java:683)

at org.apache.catalina.connector.CoyoteAdapter.service (CoyoteAdapter. java:421)

at org.apache.coyote.httpll.AbstractHttpllProcessor.process (AbstractHttpllProcessor.java:1074)

at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process (AbstractProtocol. java:
611)

at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run (JIoEndpoint. java:316)

at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor.java:1145)

at java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor. java:615)

at org.apache.tomcat.util.threads.TaskThread$SWrappingRunnable.run (TaskThread. java:61)

at java.lang.Thread.run (Thread. java:745)
Caused by: com.sybase. jdbc3. jdbc.SybSQLException: Attempt to insert duplicate key row in object 'u
ser_to_roles' with unique index 'user_to_ro_11423078751"

at com.sybase.jdbc3.tds.Tds.a (Unknown Source)
at com.sybase.jdbc3.tds.Tds.nextResult (Unknown Source)
at com.sybase.jdbc3. jdbc.ResultGetter.nextResult (Unknown Source)
at com.sybase. jdbc3. jdbc.SybStatement .nextResult (Unknown Source)
at com.sybase. jdbc3. jdbc.SybStatement .nextResult (Unknown Source)
at com.sybase. jdbc3. jdbc.SybStatement .updatelLoop (Unknown Source)
at com.sybase. jdbc3. jdbc.SybStatement .executeUpdate (Unknown Source)
at com.sybase.jdbc3. jdbc.SybStatement .executeUpdate (Unknown Source)
at gov.fnal.controls.db.direct.DelegatingStatement.executeUpdate (DelegatingStatement. java:50)
at gov.fnal.controls.db.direct.UniversalServerImpl.executeUpdate (UniversalServerImpl.java:163)
at gov.fnal.controls.db.DbServer.executeUpdate (DbServer.java:1629)
at gov.fnal.controls.db.DbServer.executeUpdate (DbServer.java:1685)

at gov.fnal.controls.service.rbac.RbacUtil.addDefaultRoles (RbacUtil.java:526)

at gov.fnal.controls.service.rbac.RbacUtil.checkCreds (RbacUtil. java:492)

at gov.fnal.controls.service.rbac.RbacUtil.getRoles (RbacUtil. java:458)

at gov.fnal.controls.tools.tomcat.realms.JNDIRealm.authenticate (INDIRealm. java:63)
20 more

Related issues:
Related to Elog - Bug #16123: SQLException with JNDIRealm Closed 04/06/2017

History

#1 - 04/06/2017 09:59 PM - Kyle Hazelwood
- Tracker changed from Support to Bug

- Category set to Server

- Status changed from New to Assigned

- Assignee set to Kyle Hazelwood

- Priority changed from Normal to High

- Target version set to Version 2.0

Actually, this is a brand new issue that started with today's elog update. John already has a fix that we will be pushing out Friday or Monday. The
other issue was hopefully fixed with today's changes. Thanks for the very detailed stack trace!

#2 - 04/06/2017 10:00 PM - Kyle Hazelwood
- Related to Bug #16123: SQLException with JNDIRealm added

#3 - 05/24/2017 12:41 PM - Kyle Hazelwood

- Status changed from Assigned to Resolved

Fixed next restart.

#4 - 06/29/2017 03:08 PM - Kyle Hazelwood

- Status changed from Resolved to Closed

Fixed and released.
